Bug 858070 - Review Request: mingw-qt5-qtmultimedia - Qt5 for Windows - QtMultimedia component
Summary: Review Request: mingw-qt5-qtmultimedia - Qt5 for Windows - QtMultimedia compo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 858058 858064
Blocks: 858065 858084
TreeView+ depends on / blocked
 
Reported: 2012-09-17 22:39 UTC by Erik van Pienbroek
Modified: 2014-01-22 23:06 UTC (History)
2 users (show)

Fixed In Version: mingw-qt5-qttools-5.2.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-22 23:06:29 UTC
mike: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Erik van Pienbroek 2012-09-17 22:39:53 UTC
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtmultimedia/mingw-qt5-qtmultimedia.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtmultimedia-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.

Comment 1 Erik van Pienbroek 2012-11-13 01:04:16 UTC
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtmultimedia/mingw-qt5-qtmultimedia.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtmultimedia-5.0.0-0.2.beta1.git20121112.a73dfa7c.fc19.src.rpm

* Mon Nov 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121112.a73dfa7c
- Update to 20121112 snapshot (rev a73dfa7c)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now

Comment 2 Erik van Pienbroek 2013-02-09 16:32:53 UTC
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtmultimedia/mingw-qt5-qtmultimedia.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtmultimedia/5.0.1/1.fc19/src/mingw-qt5-qtmultimedia-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=125

* Sat Feb 09 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Sat Jan 12 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final

Comment 6 Michael Cronenworth 2014-01-06 22:10:54 UTC
$ rpmlint mingw-qt5-qtmultimedia.spec 
mingw-qt5-qtmultimedia.spec:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtmultimedia.spec:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtmultimedia.spec:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtmultimedia.spec:29: W: macro-in-comment %{snapshot_rev}
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

$ rpmlint mingw-qt5-qtmultimedia-5.2.0-0.1.rc1.fc21.src.rpm 
mingw-qt5-qtmultimedia.src: E: unknown-key GPG#9b393ae8
mingw-qt5-qtmultimedia.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtmultimedia.src:29: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtmultimedia.src:29: W: macro-in-comment %{qt_module}
mingw-qt5-qtmultimedia.src:29: W: macro-in-comment %{snapshot_rev}
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

+ OK
! needs attention

+ The package is named according to Fedora MinGW packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The stated license is the same as the one for the corresponding
  native Fedora package
! The package contains the license file (COPYING.lib)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  d73a063ada68ffe9274fd352947b78a7  Downloads/qtmultimedia-opensource-src-5.2.0-rc1.tar.xz
  d73a063ada68ffe9274fd352947b78a7  rpmbuild/SOURCES/qtmultimedia-opensource-src-5.2.0-rc1.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
n/a locale handling
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
Not applicable to MinGW packages.
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages must not contain libtool .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Directory ownership sane
+ Filenames are valid UTF-8

-----

APPROVED, if the license files are included prior to commit

Comment 7 Erik van Pienbroek 2014-01-06 22:13:50 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: mingw-qt5-qtmultimedia
Short Description: Qt5 for Windows - QtMultimedia component
Owners: epienbro
Branches: f19 f20
InitialCC:

Comment 8 Gwyn Ciesla 2014-01-07 13:02:12 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-01-09 07:10:47 UTC
mingw-qt5-qttools-5.2.0-2.fc20, mingw-qt5-qtdeclarative-5.2.0-3.fc20, mingw-qt5-qtbase-5.2.0-3.fc20, mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20, mingw-qt5-qtsensors-5.2.0-2.fc20, mingw-qt5-qttranslations-5.2.0-1.fc20, mingw-qt5-qtscript-5.2.0-1.fc20, mingw-qt5-qtimageformats-5.2.0-1.fc20, mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20, mingw-qt5-qtquick1-5.2.0-2.fc20, mingw-qt5-qtlocation-5.2.0-2.fc20, mingw-qt5-qt3d-5.0.0-0.9.git20130923.7433868.fc20, mingw-qt5-qtmultimedia-5.2.0-1.fc20, mingw-qt5-qtjsbackend-5.1.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-0276/mingw-qt5-qttranslations-5.2.0-1.fc20,mingw-qt5-qttools-5.2.0-2.fc20,mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20,mingw-qt5-qtsensors-5.2.0-2.fc20,mingw-qt5-qtscript-5.2.0-1.fc20,mingw-qt5-qtquick1-5.2.0-2.fc20,mingw-qt5-qtlocation-5.2.0-2.fc20,mingw-qt5-qtimageformats-5.2.0-1.fc20,mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20,mingw-qt5-qtdeclarative-5.2.0-3.fc20,mingw-qt5-qtbase-5.2.0-3.fc20,mingw-qt5-qt3d-5.0.0-0.9.git20130923.7433868.fc20,mingw-qt5-qtmultimedia-5.2.0-1.fc20,mingw-qt5-qtjsbackend-5.1.1-3.fc20

Comment 10 Fedora Update System 2014-01-09 07:41:20 UTC
Package mingw-qt5-qttools-5.2.0-2.fc20, mingw-qt5-qtdeclarative-5.2.0-3.fc20, mingw-qt5-qtbase-5.2.0-3.fc20, mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20, mingw-qt5-qtsensors-5.2.0-2.fc20, mingw-qt5-qttranslations-5.2.0-1.fc20, mingw-qt5-qtscript-5.2.0-1.fc20, mingw-qt5-qtimageformats-5.2.0-1.fc20, mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20, mingw-qt5-qtquick1-5.2.0-2.fc20, mingw-qt5-qtlocation-5.2.0-2.fc20, mingw-qt5-qt3d-5.0.0-0.9.git20130923.7433868.fc20, mingw-qt5-qtmultimedia-5.2.0-1.fc20, mingw-qt5-qtjsbackend-5.1.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-qt5-qttools-5.2.0-2.fc20 mingw-qt5-qtdeclarative-5.2.0-3.fc20 mingw-qt5-qtbase-5.2.0-3.fc20 mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20 mingw-qt5-qtsensors-5.2.0-2.fc20 mingw-qt5-qttranslations-5.2.0-1.fc20 mingw-qt5-qtscript-5.2.0-1.fc20 mingw-qt5-qtimageformats-5.2.0-1.fc20 mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20 mingw-qt5-qtquick1-5.2.0-2.fc20 mingw-qt5-qtlocation-5.2.0-2.fc20 mingw-qt5-qt3d-5.0.0-0.9.git20130923.7433868.fc20 mingw-qt5-qtmultimedia-5.2.0-1.fc20 mingw-qt5-qtjsbackend-5.1.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0276/mingw-qt5-qttranslations-5.2.0-1.fc20,mingw-qt5-qttools-5.2.0-2.fc20,mingw-qt5-qtsystems-5.0.0-0.9.git20130911.5084080.fc20,mingw-qt5-qtsensors-5.2.0-1.fc20,mingw-qt5-qtscript-5.2.0-1.fc20,mingw-qt5-qtquick1-5.2.0-1.fc20,mingw-qt5-qtlocation-5.2.0-1.fc20,mingw-qt5-qtimageformats-5.2.0-1.fc20,mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20,mingw-qt5-qtdeclarative-5.2.0-3.fc20,mingw-qt5-qtbase-5.2.0-3.fc20,mingw-qt5-qt3d-5.0.0-0.8.git20130923.7433868.fc20
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-01-13 02:55:37 UTC
Package mingw-qt5-qttools-5.2.0-2.fc20, mingw-qt5-qtdeclarative-5.2.0-3.fc20, mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20, mingw-qt5-qtsensors-5.2.0-2.fc20, mingw-qt5-qttranslations-5.2.0-1.fc20, mingw-qt5-qtimageformats-5.2.0-1.fc20, mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20, mingw-qt5-qtquick1-5.2.0-2.fc20, mingw-qt5-qtlocation-5.2.0-2.fc20, mingw-qt5-qt3d-5.0.0-0.9.git20130923.7433868.fc20, mingw-qt5-qtmultimedia-5.2.0-1.fc20, mingw-qt5-qtjsbackend-5.1.1-3.fc20, mingw-qt5-qtscript-5.2.0-2.fc20, mingw-qt5-qtbase-5.2.0-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-qt5-qttools-5.2.0-2.fc20 mingw-qt5-qtdeclarative-5.2.0-3.fc20 mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20 mingw-qt5-qtsensors-5.2.0-2.fc20 mingw-qt5-qttranslations-5.2.0-1.fc20 mingw-qt5-qtimageformats-5.2.0-1.fc20 mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20 mingw-qt5-qtquick1-5.2.0-2.fc20 mingw-qt5-qtlocation-5.2.0-2.fc20 mingw-qt5-qt3d-5.0.0-0.9.git20130923.7433868.fc20 mingw-qt5-qtmultimedia-5.2.0-1.fc20 mingw-qt5-qtjsbackend-5.1.1-3.fc20 mingw-qt5-qtscript-5.2.0-2.fc20 mingw-qt5-qtbase-5.2.0-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0276/mingw-qt5-qttranslations-5.2.0-1.fc20,mingw-qt5-qttools-5.2.0-2.fc20,mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20,mingw-qt5-qtsensors-5.2.0-2.fc20,mingw-qt5-qtscript-5.2.0-2.fc20,mingw-qt5-qtquick1-5.2.0-2.fc20,mingw-qt5-qtlocation-5.2.0-2.fc20,mingw-qt5-qtimageformats-5.2.0-1.fc20,mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20,mingw-qt5-qtdeclarative-5.2.0-3.fc20,mingw-qt5-qtbase-5.2.0-4.fc20,mingw-qt5-qt3d-5.0.0-0.9.git20130923.7433868.fc20,mingw-qt5-qtmultimedia-5.2.0-1.fc20,mingw-qt5-qtjsbackend-5.1.1-3.fc20
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-01-14 08:35:42 UTC
Package mingw-qt5-qttools-5.2.0-2.fc20, mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20, mingw-qt5-qttranslations-5.2.0-1.fc20, mingw-qt5-qtimageformats-5.2.0-1.fc20, mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20, mingw-qt5-qtjsbackend-5.1.1-3.fc20, mingw-qt5-qtscript-5.2.0-2.fc20, mingw-qt5-qtbase-5.2.0-4.fc20, mingw-qt5-qtsensors-5.2.0-3.fc20, mingw-qt5-qtquick1-5.2.0-3.fc20, mingw-qt5-qtlocation-5.2.0-3.fc20, mingw-qt5-qtdeclarative-5.2.0-4.fc20, mingw-qt5-qt3d-5.0.0-0.10.git20130923.7433868.fc20, mingw-qt5-qtmultimedia-5.2.0-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-qt5-qttools-5.2.0-2.fc20 mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20 mingw-qt5-qttranslations-5.2.0-1.fc20 mingw-qt5-qtimageformats-5.2.0-1.fc20 mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20 mingw-qt5-qtjsbackend-5.1.1-3.fc20 mingw-qt5-qtscript-5.2.0-2.fc20 mingw-qt5-qtbase-5.2.0-4.fc20 mingw-qt5-qtsensors-5.2.0-3.fc20 mingw-qt5-qtquick1-5.2.0-3.fc20 mingw-qt5-qtlocation-5.2.0-3.fc20 mingw-qt5-qtdeclarative-5.2.0-4.fc20 mingw-qt5-qt3d-5.0.0-0.10.git20130923.7433868.fc20 mingw-qt5-qtmultimedia-5.2.0-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-0276/mingw-qt5-qttranslations-5.2.0-1.fc20,mingw-qt5-qttools-5.2.0-2.fc20,mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20,mingw-qt5-qtsensors-5.2.0-3.fc20,mingw-qt5-qtscript-5.2.0-2.fc20,mingw-qt5-qtquick1-5.2.0-3.fc20,mingw-qt5-qtlocation-5.2.0-3.fc20,mingw-qt5-qtimageformats-5.2.0-1.fc20,mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20,mingw-qt5-qtdeclarative-5.2.0-4.fc20,mingw-qt5-qtbase-5.2.0-4.fc20,mingw-qt5-qt3d-5.0.0-0.10.git20130923.7433868.fc20,mingw-qt5-qtmultimedia-5.2.0-2.fc20,mingw-qt5-qtjsbackend-5.1.1-3.fc20
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2014-01-22 23:06:29 UTC
mingw-qt5-qttools-5.2.0-2.fc20, mingw-qt5-qtsystems-5.0.0-0.10.git20130911.5084080.fc20, mingw-qt5-qttranslations-5.2.0-1.fc20, mingw-qt5-qtimageformats-5.2.0-1.fc20, mingw-qt5-qtgraphicaleffects-5.2.0-1.fc20, mingw-qt5-qtjsbackend-5.1.1-3.fc20, mingw-qt5-qtscript-5.2.0-2.fc20, mingw-qt5-qtbase-5.2.0-4.fc20, mingw-qt5-qtsensors-5.2.0-3.fc20, mingw-qt5-qtquick1-5.2.0-3.fc20, mingw-qt5-qtlocation-5.2.0-3.fc20, mingw-qt5-qtdeclarative-5.2.0-4.fc20, mingw-qt5-qt3d-5.0.0-0.10.git20130923.7433868.fc20, mingw-qt5-qtmultimedia-5.2.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.